Mtext linespacing

Discussion in 'AutoCAD' started by Gordon Price, Dec 16, 2003.

  1. Gordon Price

    Gordon Price Guest

    Two questions here.
    1: is there a way to programatically change the linespacing on Mtext. We
    have a ton of text that needs to be Exactly, and MatchProps doesn't seem to
    do it.
    2: Is there a way to make this the default. From the standpoint of
    consistency we would rather just set it and move on.

    Thanks,
    Gordon
     
    Gordon Price, Dec 16, 2003
    #1
  2. Gordon Price

    Gordon Price Guest

    Doh! Crazy day. R2002 now, R2004 within 30 days.

    Thanks,
    Gordon
     
    Gordon Price, Dec 16, 2003
    #2
  3. Gordon Price

    R.K. McSwain Guest

    Not the best approach, but it should give you some ideas...

    ;;; Assumes *active-document* is set to the acvive-document vla object
    ;;;
    (vlax-for item (vlax-get *active-document* "ModelSpace")
    (if (eq (vlax-get item "ObjectName") "AcDbMText")
    (progn
    (vlax-put item "LineSpacingFactor" "1.0")
    (vlax-put item "LineSpacingStyle" "2")
    )
    )
    )
     
    R.K. McSwain, Dec 17, 2003
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.